Store: Scalextric
Scalextric US English $
M Menu
b 0 Items s

Which smart devices are compatible with ARC?

Compatible devices specification

All devices matching the specification listed should be compatible with ARC, however we are unable to guarantee the compatibility of every device matching this specification because of differences in manufacturers' OS/Hardware changes.

These are the minimum requirements for your smart device to be compatible with the ARC system. Bluetooth 4.0 is required to connect your smart device to the ARC powerbase. Bluetooth 4.0 is not compatible with operating systems lower than the ones stated.




Bluetooth - V4.0 BLE

Android OS - 4.4.2 KitKat and above

Apple OS - iOS 5.0 and above



Compatible devices

The selection of devices listed have been tested and are recommended for use with the ARC system.

Membership Restricted Product